<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
        "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<ui:composition xmlns:h="http://java.sun.com/jsf/html"
	xmlns:ui="http://java.sun.com/jsf/facelets"
	xmlns:gdk="http://www.ihe.net/gazellecdk"
	xmlns:s="http://jboss.org/schema/seam/taglib"
	xmlns:rich="http://richfaces.org/rich"
	xmlns:f="http://java.sun.com/jsf/core"
	xmlns:gri="http://java.sun.com/jsf/composite/gri"
	xmlns:g="http://www.ihe.net/gazelle"
	xmlns:a4j="http://richfaces.org/a4j"
	xmlns="http://www.w3.org/1999/xhtml" template="/layout/template.xhtml">
	<ui:define name="body">
		<h1>#{messages['net.ihe.gazelle.ViewTemplatesContainment']}</h1>
		<div class="row">
			<div class="col-md-12">
				<h:form id="globalform">
                    #{tcDescriberManager.initSelectedTCDescriber()}
                    <gri:panel>
						<f:facet name="header">#{messages['net.ihe.gazelle.TemplatesContainmentView']}</f:facet>
						<s:decorate id="validatorNameDecoration"
							template="/layout/display/_data_list_item.xhtml">
							<ui:define name="label">#{messages['net.ihe.gazelle.TemplatesContainmentName']}</ui:define>
							<h:outputText
								value="#{tcDescriberManager.selectedTCDescriber.tcName}" />
						</s:decorate>
						<s:decorate id="dateDecoration"
							template="/layout/display/_data_list_item.xhtml">
							<ui:define name="label">#{messages['net.ihe.gazelle.UpdateDate_2']}</ui:define>
							<h:outputText
								value="#{tcDescriberManager.selectedTCDescriber.updateDate}" />
						</s:decorate>
						<s:decorate id="tcddownload"
							template="/layout/display/_data_list_item.xhtml">
							<ui:define name="label">#{messages['net.ihe.gazelle.TemlatesContainmentDownload']}</ui:define>
							<h:commandLink title="#{messages['net.ihe.gazelle.DownloadTemplatesContainment']}"
								action="#{tcDescriberManager.downloadTC(tcDescriberManager.selectedTCDescriber)}">
								<span class="gzl-icon-download" />
							</h:commandLink>
						</s:decorate>
						<s:decorate id="tcfdownload"
							template="/layout/display/_data_list_item.xhtml">
							<ui:define name="label">#{messages['net.ihe.gazelle.FlattenedTemlatesContainmentDownload']}</ui:define>
							<h:commandLink title="#{messages['net.ihe.gazelle.DownloadTemplatesContainmentFlattened']}"
								action="#{tcDescriberManager.downloadTCF(tcDescriberManager.selectedTCDescriber)}">
								<span class="gzl-icon-download" />
							</h:commandLink>
						</s:decorate>

						<h:commandLink value="#{messages['net.ihe.gazelle.cdagen.Back']}" styleClass="gzl-btn"
							onclick="window.history.go(-1); return false;" />
						<h:outputLink styleClass="gzl-btn-blue"
							value="#{request.contextPath}/admin/templatesContainment/edit.seam">
							<f:param name="tcdId"
								value="#{tcDescriberManager.selectedTCDescriber.id}" />
							<h:outputText value="#{messages['net.ihe.gazelle.cdagen.Edit']}" />
						</h:outputLink>
					</gri:panel>
				</h:form>

				<h:form id="formMM">
					<gri:panel>
						<f:facet name="header">#{messages['net.ihe.gazelle.MindMapExtraction']}</f:facet>
						<s:decorate id="tcdDecoration" template="/layout/form/_edit.xhtml">
							<ui:param name="id" value="oidval" />
							<ui:define name="label">#{messages['net.ihe.gazelle.TemplateId']}</ui:define>
							<h:inputText id="tcNameInput" styleClass="form-control"
								value="#{tcDescriberManager.selectedTemplateId}">
							</h:inputText>
						</s:decorate>
						
						<h:commandLink value="#{messages['net.ihe.gazelle.DownloadTCFMindMap']}" styleClass="gzl-btn-blue"
							action="#{tcDescriberManager.downloadTCFMM()}" />
							
						<h:commandLink value="#{messages['net.ihe.gazelle.DownloadTCMindMap']}" styleClass="gzl-btn-blue"
							action="#{tcDescriberManager.downloadTCMM()}" />
					</gri:panel>
				</h:form>
			</div>
		</div>
	</ui:define>
</ui:composition>